OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Curl< UniformScaleTranslateMap, DiffScheme > Struct Template Reference

Partial template specialization of Curl. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType | result (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const UniformScaleTranslateMap &map, const StencilT &stencil)

## Detailed Description

template<DScheme DiffScheme>
struct openvdb::v11_0::math::Curl< UniformScaleTranslateMap, DiffScheme >

Partial template specialization of Curl.

## Member Function Documentation

## ◆ result() [1/2]

template<DScheme DiffScheme>
template<typename Accessor >

static Accessor::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

template<DScheme DiffScheme>
template<typename StencilT >

static StencilT::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static